Debian Bug report logs - #146023
[ACCEPTED 2005/02/04] "libexec", or use of "lib" for binaries in lib* packages

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Mon, 6 May 2002 16:18:01 UTC

Severity: normal

Fixed in version debian-policy/3.6.2.0

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: submit@bugs.debian.org
Subject: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Tue, 7 May 2002 01:12:27 +0900
Package: debian-policy
Severity: wishlist

I think this was discussed enough in -devel already, but 
some good points about /libexec was given.
I've noticed that some known good practice is not documented in policy,
and I propose the following patch:


>diff -u policy.sgml{.orig,}
--- policy.sgml.orig    Tue May  7 01:06:15 2002
+++ policy.sgml Tue May  7 01:11:23 2002
@@ -5598,6 +5598,15 @@
        </p>
 
        <p>
+         If your package has some run-time support programs that 
+         are required by the shared library, or some unversioned plugin
+         .so files, that may be part of the shared library package.
+         However, to avoid filename clashes, the run-time support 
+         binaries or plugins should reside under the directory
+         <tt>/usr/lib/<var>libraryname</var><var> soversion/</var></tt>
+       </p>
+
+       <p>
          If you have several shared libraries built from the same
          source tree you may lump them all together into a single
          shared library package, provided that you change all of


-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4
Libpkg-guide: http://www.netfort.gr.jp/~dancer/column/libpkg-guide/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 146023@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 146023@bugs.debian.org
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Thu, 9 May 2002 20:53:52 +0200
On Tue, May 07, 2002 at 01:12:27AM +0900, Junichi Uekawa wrote:
> +         If your package has some run-time support programs that 
> +         are required by the shared library, or some unversioned plugin
> +         .so files, that may be part of the shared library package.
> +         However, to avoid filename clashes, the run-time support 
> +         binaries or plugins should reside under the directory
> +         <tt>/usr/lib/<var>libraryname</var><var> soversion/</var></tt>

This seems to be quite poorly worded... written in haste? :)

How about simply:

  <p>If your package includes run-time support programs that don't need to
  be invoked manually by the users, or named in a way that would cause
  conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
  the package to function, you should place them in a subdirectory of
  <file>/usr/lib</file>.</p>

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Steve Greenland <steveg@moregruel.net>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 146023@bugs.debian.org (full text, mbox):

From: Steve Greenland <steveg@moregruel.net>
To: Josip Rodin <joy@cibalia.gkvk.hr>, 146023@bugs.debian.org
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Fri, 10 May 2002 16:13:28 -0500
On 09-May-02, 13:53 (CDT), Josip Rodin <joy@cibalia.gkvk.hr> wrote: 
> How about simply:
> 
>   <p>If your package includes run-time support programs that don't need to
>   be invoked manually by the users, or named in a way that would cause
>   conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
>-  the package to function, you should place them in a subdirectory of
>-  <file>/usr/lib</file>.</p>

+  the package to function, you should place them in a subdirectory named
+  <file>/usr/lib/<pkgname></file>.</p>

"...a subdirectory of /usr/lib/" leaves to much to chance, not out of
malicious intent, but something on the order of "Hey, I need a place to
put this extra perl script, hmmm, /usr/lib/perl5 looks good!"

Steve

-- 
Steve Greenland



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 146023@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Steve Greenland <steveg@moregruel.net>, 146023@bugs.debian.org
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Sat, 11 May 2002 11:17:04 +0900
Steve Greenland <steveg@moregruel.net> immo vero scripsit:

> > How about simply:
> > 
> >   <p>If your package includes run-time support programs that don't need to
> >   be invoked manually by the users, or named in a way that would cause
> >   conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
> >-  the package to function, you should place them in a subdirectory of
> >-  <file>/usr/lib</file>.</p>
> 
> +  the package to function, you should place them in a subdirectory named
> +  <file>/usr/lib/<pkgname></file>.</p>

Sounds better than my patch, and it seems to convey much of the information
that I tried to convey.

regards,
	junichi

-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4
Libpkg-guide: http://www.netfort.gr.jp/~dancer/column/libpkg-guide/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 146023@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: Steve Greenland <steveg@moregruel.net>
Cc: 146023@bugs.debian.org
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Sat, 11 May 2002 11:38:48 +0200
On Fri, May 10, 2002 at 04:13:28PM -0500, Steve Greenland wrote:
> > How about simply:
> > 
> >   <p>If your package includes run-time support programs that don't need to
> >   be invoked manually by the users, or named in a way that would cause
> >   conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
> >-  the package to function, you should place them in a subdirectory of
> >-  <file>/usr/lib</file>.</p>
> 
> +  the package to function, you should place them in a subdirectory named
> +  <file>/usr/lib/<pkgname></file>.</p>
> 
> "...a subdirectory of /usr/lib/" leaves to much to chance, not out of
> malicious intent, but something on the order of "Hey, I need a place to
> put this extra perl script, hmmm, /usr/lib/perl5 looks good!"

And yet it allows for minor deviations which should not be treated as bugs.

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Oohara Yuuma <oohara@libra.interq.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 146023@bugs.debian.org (full text, mbox):

From: Oohara Yuuma <oohara@libra.interq.or.jp>
To: 146023@bugs.debian.org
Cc: oohara@libra.interq.or.jp
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Mon, 13 May 2002 01:57:55 +0900 (JST)
[Message part 1 (text/plain, inline)]
On Fri, 10 May 2002 16:13:28 -0500,
Steve Greenland <steveg@moregruel.net> wrote:
> On 09-May-02, 13:53 (CDT), Josip Rodin <joy@cibalia.gkvk.hr> wrote: 
> > How about simply:
> > 
> >   <p>If your package includes run-time support programs that don't need to
> >   be invoked manually by the users, or named in a way that would cause
> >   conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
> >-  the package to function, you should place them in a subdirectory of
> >-  <file>/usr/lib</file>.</p>
> 
> +  the package to function, you should place them in a subdirectory named
> +  <file>/usr/lib/<pkgname></file>.</p>
seconded

-- 
Oohara Yuuma <oohara@libra.interq.or.jp>
Debian developer
PGP key (key ID F464A695) http://www.interq.or.jp/libra/oohara/pub-key.txt
Key fingerprint = 6142 8D07 9C5B 159B C170  1F4A 40D6 F42E F464 A695

I always put away what I take.
--- Ryuji Akai, "Star away"
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Oohara Yuuma <oohara@libra.interq.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 146023@bugs.debian.org (full text, mbox):

From: Oohara Yuuma <oohara@libra.interq.or.jp>
To: 146023@bugs.debian.org
Cc: oohara@libra.interq.or.jp
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Mon, 13 May 2002 06:02:50 +0900 (JST)
[Message part 1 (text/plain, inline)]
On Mon, 13 May 2002 01:57:55 +0900 (JST),
Oohara Yuuma <oohara@libra.interq.or.jp> wrote:
> On Fri, 10 May 2002 16:13:28 -0500,
> Steve Greenland <steveg@moregruel.net> wrote:
> > On 09-May-02, 13:53 (CDT), Josip Rodin <joy@cibalia.gkvk.hr> wrote: 
> > > How about simply:
> > > 
> > >   <p>If your package includes run-time support programs that don't need to
> > >   be invoked manually by the users, or named in a way that would cause
> > >   conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
> > >-  the package to function, you should place them in a subdirectory of
> > >-  <file>/usr/lib</file>.</p>
> > 
> > +  the package to function, you should place them in a subdirectory named
> > +  <file>/usr/lib/<pkgname></file>.</p>
> seconded
Of course, if the program is architecture-independent (for example,
a script), it should be in /usr/share/<pkgname>, instead of /usr/lib/<pkgname>.

-- 
Oohara Yuuma <oohara@libra.interq.or.jp>
Debian developer
PGP key (key ID F464A695) http://www.interq.or.jp/libra/oohara/pub-key.txt
Key fingerprint = 6142 8D07 9C5B 159B C170  1F4A 40D6 F42E F464 A695

I always put away what I take.
--- Ryuji Akai, "Star away"
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <adam@lapdoog.doogie.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 146023@bugs.debian.org (full text, mbox):

From: Adam Heath <adam@lapdoog.doogie.org>
To: <146023@bugs.debian.org>
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Sun, 12 May 2002 20:15:21 -0500 (CDT)
On Thu, 9 May 2002, Josip Rodin wrote:

> This seems to be quite poorly worded... written in haste? :)
>
> How about simply:
>
>   <p>If your package includes run-time support programs that don't need to
>   be invoked manually by the users, or named in a way that would cause
                            |
remove 'the' ---------------^

>   conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
>   the package to function, you should place them in a subdirectory of
>   <file>/usr/lib</file>.</p>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <J.D.Gilbey@qmul.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 146023@bugs.debian.org (full text, mbox):

From: Julian Gilbey <J.D.Gilbey@qmul.ac.uk>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 146023@bugs.debian.org
Cc: Steve Greenland <steveg@moregruel.net>
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Mon, 13 May 2002 07:47:35 +0100
On Sat, May 11, 2002 at 11:17:04AM +0900, Junichi Uekawa wrote:
> Steve Greenland <steveg@moregruel.net> immo vero scripsit:
> 
> > > How about simply:
> > > 
> > >   <p>If your package includes run-time support programs that don't need to
> > >   be invoked manually by the users, or named in a way that would cause
> > >   conflicts if placed in <tt>$PATH</tt>, but are nevertheless required for
> > >-  the package to function, you should place them in a subdirectory of
> > >-  <file>/usr/lib</file>.</p>
> > 
> > +  the package to function, you should place them in a subdirectory named
> > +  <file>/usr/lib/<pkgname></file>.</p>
> 
> Sounds better than my patch, and it seems to convey much of the information
> that I tried to convey.

Although sometimes this is not correct, for example if multiple
co-operating packages use the same /usr/lib/ subdirectory.  And also,
there's need to discuss /usr/share as well, as someone else already
noted.

   Julian

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

      Julian Gilbey, Dept of Maths, Queen Mary, Univ. of London
              website: http://www.maths.qmul.ac.uk/~jdg/
   Debian GNU/Linux Developer, see: http://people.debian.org/~jdg/
     Visit http://www.thehungersite.com/ to help feed the hungry



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, debian-policy@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 146023@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Julian Gilbey <J.D.Gilbey@qmul.ac.uk>
Cc: 146023@bugs.debian.org
Subject: Re: Bug#146023: suggested patch against policy, documenting "libexec", or current custom on use of "lib" for binaries in lib* packages
Date: Tue, 14 May 2002 12:21:57 +0900
On Mon, 13 May 2002 07:47:35 +0100
Julian Gilbey <J.D.Gilbey@qmul.ac.uk> wrote:

> > Sounds better than my patch, and it seems to convey much of the information
> > that I tried to convey.
> 
> Although sometimes this is not correct, for example if multiple
> co-operating packages use the same /usr/lib/ subdirectory.  And also,
> there's need to discuss /usr/share as well, as someone else already
> noted.

There is much undocumented hierarchy lying around, as myself have played with.

I'm talking about LADSPA, a Linux audio developers simple plugin architecture,
and other things, like xmms.


It might be nice to add notes on the "plugin architecture" bits.
Don't know how much it is useful to document xmms, but ladspa plugin
is standardized and used rather widely throughout Debian audio apps.


-- 
dancer@debian.org  http://www.netfort.gr.jp/~dancer






Changed Bug title. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #63 received at 146023@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 146023@bugs.debian.org
Subject: [PROPOSAL]: "libexec", or use of "lib" for binaries in lib* packages
Date: Fri, 29 Oct 2004 02:07:48 -0500
wHi,

         I think that we did not quite reach a consensus or a final
  wording on this, and at least one point was left unaddressed. I am
  also not fully convinced we need this as policy (as opposed to
  something in developers reference), but I am not going to oppose
  this.
 ======================================================================
  --- policy.sgml.orig    Tue May  7 01:06:15 2002
  +++ policy.sgml Tue May  7 01:11:23 2002
  @@ -5598,6 +5598,15 @@
          </p>

  +        <p>
  +         If your package includes run-time support programs that
  +         do not need to be invoked manually by users, but are
  +         nevertheless required  for the package to function, then it
  +         is recommended that these programs are placed
  +         (if they are binary) in a subdirectory of
  +         <file>/usr/lib</file>, preferably under
  +         <file>/usr/lib/</file><var>package-name</var>.
  +         If the program is architecture independent, the
  +         recommendation is for it to be placed in a subdirectory of
  +         <file>/usr/share</file> instead, preferably under
  +         <file>/usr/lib/</file><var>package-name</var>.
  +       </p>
  +
         <p>
            If you have several shared libraries built from the same
            source tree you may lump them all together into a single
            shared library package, provided that you change all of
 ======================================================================

         I think I have addressed all outstanding issue in the above
  patch;

    a) it shows a predilection for a directory named for the package,
       but does not mandate it
    b) Since this is a new requirement, it starts off as a
       recommendation (after all, this was originally touted merely as
       "best practice", not as something required for interoperability)
    c) It also discusses arch independent modules, and adds similar
       language for that.
         I am looking for seconds for this modified proposal, and as
  always, am open for corrections and improvement of the language.

         manoj
-- 
Are we THERE yet?  My MIND is a SUBMARINE!!
Manoj Srivastava   <srivasta@debian.org>  <http://www.debian.org/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #68 received at 146023@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian-policy@lists.debian.org, 146023@bugs.debian.org
Subject: Re: Bug#146023: [PROPOSAL]: "libexec", or use of "lib" for binaries in lib* packages
Date: Fri, 29 Oct 2004 00:27:24 -0700
On Fri, 29 Oct 2004, Manoj Srivastava wrote:
>   +         If the program is architecture independent, the
>   +         recommendation is for it to be placed in a subdirectory of
>   +         <file>/usr/share</file> instead, preferably under
>   +         <file>/usr/lib/</file><var>package-name</var>.

Minor nit:

This should be <file>/usr/share/</file><var>package-name</var>
not <file>/usr/lib/</file><var>package-name</var>.


Don Armstrong

-- 
"...Yet terrible as UNIX addiction is, there are worse fates. If UNIX
is the heroin of operating systems, then VMS is barbiturate addiction, the
Mac is MDMA, and MS-DOS is sniffing glue. (Windows is filling your sinuses
with lucite and letting it set.) You owe the Oracle a twelve-step program."
 --The Usenet Oracle

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #73 received at 146023@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Manoj Srivastava <srivasta@debian.org>, 146023@bugs.debian.org
Subject: Re: Bug#146023: [PROPOSAL]: "libexec", or use of "lib" for binaries in lib* packages
Date: Fri, 29 Oct 2004 10:37:42 +0200
* Manoj Srivastava (srivasta@debian.org) [041029 09:25]:
>   +++ policy.sgml Tue May  7 01:11:23 2002
>   @@ -5598,6 +5598,15 @@
>           </p>
> 
>   +        <p>
>   +         If your package includes run-time support programs that
>   +         do not need to be invoked manually by users, but are
>   +         nevertheless required  for the package to function, then it
>   +         is recommended that these programs are placed
>   +         (if they are binary) in a subdirectory of
>   +         <file>/usr/lib</file>, preferably under
>   +         <file>/usr/lib/</file><var>package-name</var>.
>   +         If the program is architecture independent, the
>   +         recommendation is for it to be placed in a subdirectory of
>   +         <file>/usr/share</file> instead, preferably under
>   +         <file>/usr/lib/</file><var>package-name</var>.
                         ^ share
>   +       </p>
>   +
>          <p>
>             If you have several shared libraries built from the same
>             source tree you may lump them all together into a single
>             shared library package, provided that you change all of
>  ======================================================================
> 
>          I am looking for seconds for this modified proposal, and as
>   always, am open for corrections and improvement of the language.

Seconded (though I don't really like to repeat more or less the sentence
twice, with just exchaning of lib with share).


Cheers,
Andi
-- 
   http://home.arcor.de/andreas-barth/
   PGP 1024/89FB5CE5  DC F1 85 6D A6 45 9C 0F  3B BE F1 D0 C5 D1 D9 0C



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#146023; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #78 received at 146023@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 146023@bugs.debian.org
Subject: Re: Bug#146023: [PROPOSAL]: "libexec", or use of "lib" for binaries in lib* packages
Date: Fri, 29 Oct 2004 11:26:50 -0500
[Message part 1 (text/plain, inline)]
On Fri, Oct 29, 2004 at 10:37:42AM +0200, Andreas Barth wrote:
> Seconded (though I don't really like to repeat more or less the sentence
> twice, with just exchaning of lib with share).

Seconded, with the correction that Andreas made.

-- 
G. Branden Robinson                |     Exercise your freedom of religion.
Debian GNU/Linux                   |     Set fire to a church of your
branden@debian.org                 |     choice.
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal'. Request was from Manoj Srivastava <srivasta@debian.org (va, manoj)> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Manoj Srivastava <srivasta@debian.org (va, manoj)> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Manoj Srivastava <srivasta@debian.org (va, manoj)> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #89 received at 146023-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 146023-close@bugs.debian.org
Subject: Bug#146023: fixed in debian-policy 3.6.2.0
Date: Thu, 16 Jun 2005 23:47:02 -0400
Source: debian-policy
Source-Version: 3.6.2.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.6.2.0.dsc
  to pool/main/d/debian-policy/debian-policy_3.6.2.0.dsc
debian-policy_3.6.2.0.tar.gz
  to pool/main/d/debian-policy/debian-policy_3.6.2.0.tar.gz
debian-policy_3.6.2.0_all.deb
  to pool/main/d/debian-policy/debian-policy_3.6.2.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 146023@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 16 Jun 2005 20:27:17 -0500
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.6.2.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 89867 146023 203145 216104 222553 239359 260092 270020 273122 276953 284967 286549 286553 290270 291026 295939 308886 309162
Changes: 
 debian-policy (3.6.2.0) unstable; urgency=low
 .
   Manoj:
   * Bug fix: "policy 11.5.3 refers to using the menu package to register
     docs", thanks to Joey Hess                             (Closes: #222553).
   * Bug fix: "[PROPOSAL] Document Uploaders: field in policy", thanks to
     Andrew Pollock. Andreas Metzler provided the wording, though it was
     modified during inclusion.                              (Closes: #203145).
   * Bug fix: "debian-policy: Minor grammatical correction in section 9.4",
     thanks to Eric Evans. I rejected the proposed change, instead I went
     over the whole policy document and removed all he/she/him/her
     constructs before the gender police jump all over me.   (Closes: #273122).
   * Bug fix: "XSI:ism in prerm and postinst", thanks to David Weinehall
                                                             (Closes: #260092).
   * Bug fix: "debian-policy: please clarify section 12.7.", thanks to
     Adrian Bunk. Added a clarifying footnote that makes it clear that
     section 12.3 does not allow one to ignore section 12.7  (Closes: #276953).
   *
   * Bug fix: "debian-policy: should not ship generated files in source
     archive, and should clean them from the tree", thanks to Branden
     Robinson                                                 (Closes: #284967).
   * Bug fix: "debian-policy: Detailed description of maintainer script
     calls (Section 6.5) is incomplete", thanks to Nikolaus Schulz
     and Thomas Hood. What happens when error unwinding itself runs into
     problems is perhaps not discussed as completely as it should be.
                                                              (Closes: #286549).
   * Bug fix: "9.3.3.2 &quot;command -v&quot; example needs tweaking",
     thanks to Thomas Hood. Instead of the massively complex shenanigans
     suggested in the bug report, just use which. which lives in an
     essential package, so can be used in the preinst of packages.
                                                              (Closes: #291026).
   * Bug fix: "debian-policy: please clarify/loosen the policy on rewriting
     history", thanks to Frank K├╝ster. Since this was not really a
     directive, but merely an expression of an opinion, moved it into an
     informative footnote.                                    (Closes: #290270).
   * Bug fix: "debian-policy: virtual package request: mpd-client", thanks
     to Eric Wong                                             (Closes: #270020).
   * Bug fix: "[ACCEPTED 2005/02/04]: "libexec", or use of "lib" for
     binaries in lib* packages", thanks to Junichi Uekawa
                                                               (Closes: #146023).
   * Bug fix: "debian-policy: virtual package: flexmem", thanks to Bartosz
     Fenski aka fEnIo                                          (Closes: #239359).
   * Bug fix: "Please clarify Section 2.5. required <-> essential",
     thanks to Adrian Bunk. Clarified the section.             (Closes: #216104).
   * Bug fix: "debian-policy: Please remove virtual package
     aspell-dictionary", thanks to Brian Nelson                (Closes: #295939).
   * Bug fix: "[AMENDMENT 18/02/2002] Where to place web-accessible
     images", thanks to Tollef Fog Heen                         (Closes: #89867).
   * Bug fix: "debian-policy: erroneous enumeration in prebuilt policy.*
     files", thanks to Nikolaus Schulz. I am hoping that this shall go away
     when we rebuild.                                          (Closes: #286553).
   * Bug fix: "please make names of alternate versions links", thanks to
     Robert Cheramy. Added HTTPPATH elements that should provide the URL's
     as well as the hyperlinks.                                 (Closes: #308886).
   * Bug fix: "www.debian.org: Misspelling in Policy Manual", thanks to
     Roberto C. Sanchez Various spelling errors were also corrected in a
     spell check run.                                           (Closes: #309162).
Files: 
 cf0be01cba3bdb456d0e70dadf29eb93 821 doc optional debian-policy_3.6.2.0.dsc
 79c7805c9bf8f85f09bdb4937e8fbfc1 1137058 doc optional debian-policy_3.6.2.0.tar.gz
 eaf30c1971f0e315828a0651eeafa697 1620370 doc optional debian-policy_3.6.2.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCskNVIbrau78kQkwRAnocAKDRoeUJPw+S6duGVZrDKn4fiq1/8wCgvIkq
0RG+xdTvvqZRHIJ2UB+5d2U=
=c6IY
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:07:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.